> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 스템 분리와 트랙 추가

> stems/stemsAll 분리, addStem/addVocals/addInstrumental 트랙 생성

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

고정 `"suno"`

**task\_id** `string` *required*

원본 태스크 ID

**audio\_index** `number`

트랙 번호

## 스템 분리

| operation | 설명 | 가격 |
| - | - | - |
| `stems` | 보컬/반주 2분리 | \$0.10 |
| `stemsAll` | 전체 악기 개별 분리 | \$0.24 |

각 트랙은 `result.music[]`의 `audio_url`로 반환되며 CDN에 미러링됩니다.

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/stemsAll \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_xxx"}'
```

## 트랙 추가(각 $0.05, Max $0.10)

> [!WARNING]
>
> `addVocals`/`addInstrumental`/`addStem`의 `task_id`는 `uploadTask` 산출물만 가능합니다.

| operation | 설명 |
| - | - |
| `addVocals` | 업로드 소스에 보컬 생성 |
| `addInstrumental` | 업로드 소스에 반주 생성 |
| `addStem` | 악기 트랙 1개 추가 |

**gpt\_description** `string`

목표 설명(custom=false일 때 필수)

**custom** `boolean`

**prompt** `string`

custom=true일 때 가사

**max\_mode** `boolean`

Max 티어

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/addVocals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_upload_task","gpt_description":"add dreamy female vocals"}'
```

## Response

**task\_id** `string`

새 태스크 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.